<?php
require_once("../config/datenbankanbindung.php");
$db = dbconnect();

$function = $_POST['function'];

if ($function == 'membersave') {
    $vorname    = trim($_POST['vorname']);
    $nachname   = trim($_POST['nachname']);
    $mail       = trim($_POST['mail']);
    $alter16    = trim($_POST['alter16']);
    $singstimme = $_POST['singstimme'];
    
    $result = $db->query("SELECT count(*) Anz FROM jumi_admin WHERE mail = '$mail'");
    $row    = $result->fetch_array();
    
    #Fehlercheck
    $result = $db->query("SELECT count(*) Anz FROM jumi_chor_saenger WHERE mail = '$mail'");
    $row    = $result->fetch_array();

    if ($row['Anz'] != "0") {
        echo '<div class="alert alert-danger"><i class="fa fa-fw fa-thumbs-down"></i> User ist im System bereits vorhanden!</div>|***|error';
        exit;
    }
    if (!filter_var($mail, FILTER_VALIDATE_EMAIL)) {
        echo '<div class="alert alert-danger"><i class="fa fa-fw fa-thumbs-down"></i> Geben Sie eine gültige Mailadresse ein!</div>|***|error';
        exit;
    }
    
    $error        = 0;

    $datum = date("Y-m-d H:i:s");
    $sql1 = $db->query("INSERT INTO jumi_chor_saenger ( vorname
                                                , nachname
                                                , mail
                                                , singstimme
                                                , alter16
                                                , selfreg_date
                                                )
                              VALUES
                                                ( '$vorname'
                                                , '$nachname'
                                                , '$mail'
                                                , '$singstimme'
                                                , '$alter16'
                                                , '$datum'
                                                )
                            ");
    if (!$sql1) {
        echo '<div class="alert alert-danger"><i class="fa fa-fw fa-thumbs-down"></i> Es gab ein Fehler in der Datenbank: Insert User</div>|***|error';
        $error++;
        exit;
    }

    if ($error == 0) {
        $empfaenger      = "$mail";
        $betreff         = "Anmeldung JU & MI";
        $mailjumi = get_parameter(1);
        if($alter16 == '1'){
          $text  = "
                 <html>
                 <head>
                 <title>Registrierung JU & MI</title>
                 </head>
                 <body>
                 <font face='Arial' size='2'>
                 Hallo $vorname!<br><br>
                 schön, dass du dich für den Jugendchor registriert hast!<br><br>
                 Im Anhang befindet sich eine Einverständniserklärung. Diese benötigen wir unter anderem,
                 dass wir den Jugendchor im Livestream zeigen dürfen.<br>
                 Wir würden uns ebenso freuen, wenn wir eure Zusage für unsere Kanäle in den sozialen Medien bekommen würden..<br>
                 <br><br>
                 Bitte unterschreibt das Formular und schickt es an uns zurück. Die Mailadresse lautet: <a mailto='$mailjumi'>$mailjumi</a>
                 Falls ihr das Dokument nicht einscannen könnt, reicht ein gut lesbares Foto oder gebt uns das Formular <b>vor</b> einem Jugendgottesdienst zurück.
                 <p>
                 Vielen Dank,<br>
                 euer JU & MI Team
                 </body>
                 </html>";
        }else{
          $text  = "
                 <html>
                 <head>
                 <title>Registrierung JU & MI</title>
                 </head>
                 <body>
                 <font face='Arial' size='2'>
                 Hallo $vorname!<br><br>
                 schön, dass du dich für den Jugendchor registriert hast!<br><br>
                 Im Anhang befindet sich eine Einverständniserklärung. Diese benötigen wir unter anderem,
                 dass wir den Jugendchor im Livestream zeigen dürfen.<br>
                 Wir würden uns ebenso freuen, wenn wir eure Zusage für unsere Kanäle in den sozialen Medien bekommen würden.
                 <br><br>
                 Da du noch keine 16 Jahre alt bist, müssen deine Eltern/Sorgesberechtigte auf dem beigefügten Formular unterschreiben.<br>
                 Sobald ihr das Einverständnis habt, schickt es an uns zurück. Die Mailadresse lautet: <a mailto='$mailjumi'>$mailjumi</a>.<br>
                 Falls ihr das Dokument nicht einscannen könnt, reicht ein gut lesbares Foto oder gebt uns das Formular <b>vor</b> einem Jugendgottesdienst zurück.
                 <p>
                 Vielen Dank,<br>
                 euer JU & MI Team
                 </body>
                 </html>";

        }
        
        
        $mailjumi = get_parameter(1);
        $absender = get_parameter(2);
        $datei = "../media/Einwilligungserklaerung_personenbezogene_Daten.pdf";
        $boundary      = "PHP-mixed-".md5(time());
        #$headers = "MIME-Version: 1.0\n";
        #$headers .= "Content-type: text/html; charset=utf-8\n";
        $headers .= "From: $absender <$mailjumi>\n";
        $headers .= "Reply-To: $absender <$mailjumi>\n";
        $headers .= "Content-Type: multipart/mixed; boundary=\"".$boundary."\"\n";
        #$headers .= " boundary=\"".$boundary."\"\r\n";
        
        $size = filesize($datei);
	$data = file_get_contents($datei);
	$type = mime_content_type($datei);
	$name = basename($datei);
        
        $data = chunk_split(base64_encode($data));
        $boundWithPre  = "\n--".$boundary;
       
        $message .= "--".$boundary."\r\n";
        $message .= "Content-Type: text/html; charset=\"UTF-8\"\r\n";
        $message .= "Content-Transfer-Encoding: 8bit\r\n\r\n";
        $message .= $text."\r\n";
        
        # Anhang ab hier
        $message .= $boundWithPre;
        $message .= "\nContent-Type: application/octet-stream; name=\"".$name."\"";
        $message .= "\nContent-Transfer-Encoding: base64\n";
        $message .= "\nContent-Disposition: attachment\n";
        $message .= $data;
        $message .= $boundWithPre."--";

        $return = @mail($empfaenger, $betreff, $message, $headers);
        
        if (!$return) { // Abfrage ob Mailversand funktioniert hat
            echo '<div class="alert alert-danger"><i class="fa fa-fw fa-thumbs-down"></i> Vielen Dank für die Registrierung. Es konnte allerdings <b>keine Mail</b> verschickt werden!</div>|***|success';
            exit;
        } else {
            echo '<div class="alert alert-success"><i class="fa fa-fw fa-thumbs-up"></i> Vielen Dank für die Registrierung. Eine Mail mit weiteren Hinweisen wurde an dich geschickt.</div>|***|success';
            exit;
        }
        
    }
}

?>